org.apache.myfaces.trinidad.model

## Enum LocalRowKeyIndex.Confidence

- java.lang.Object
- - java.lang.Enum<LocalRowKeyIndex.Confidence>
  - - org.apache.myfaces.trinidad.model.LocalRowKeyIndex.Confidence

- All Implemented Interfaces:
    Serializable, Comparable<LocalRowKeyIndex.Confidence>
  Enclosing interface:
    LocalRowKeyIndex

      public static enum LocalRowKeyIndex.Confidence
      extends Enum<LocalRowKeyIndex.Confidence>

  Enum used in the `LocalRowKeyIndex.getEstimatedRowCountConfidence()` API to determine if the row count is exact or an estimate

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ESTIMATE` The row count returned by `LocalRowKeyIndex.getEstimatedRowCount()` is an estimate
    `EXACT` The row count returned by `LocalRowKeyIndex.getEstimatedRowCount()` is exact
    `UNKNOWN` The row count returned by `LocalRowKeyIndex.getEstimatedRowCount()` is unknown (-1)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocalRowKeyIndex.Confidence` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LocalRowKeyIndex.Confidence[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXACT

          public static final LocalRowKeyIndex.Confidence EXACT

      The row count returned by `LocalRowKeyIndex.getEstimatedRowCount()` is exact

    - #### ESTIMATE

          public static final LocalRowKeyIndex.Confidence ESTIMATE

      The row count returned by `LocalRowKeyIndex.getEstimatedRowCount()` is an estimate

    - #### UNKNOWN

          public static final LocalRowKeyIndex.Confidence UNKNOWN

      The row count returned by `LocalRowKeyIndex.getEstimatedRowCount()` is unknown (-1)

  - ### Method Detail

    - #### values

          public static LocalRowKeyIndex.Confidence[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LocalRowKeyIndex.Confidence c : LocalRowKeyIndex.Confidence.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LocalRowKeyIndex.Confidence valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.